util.misc

## Class JavaVersion

- java.lang.Object
- - util.misc.JavaVersion

-     public class JavaVersion
      extends java.lang.Object

  This class detects the Java-Version

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `VERSION_1_0`
    `static int` | `VERSION_1_1`
    `static int` | `VERSION_1_2`
    `static int` | `VERSION_1_3`
    `static int` | `VERSION_1_4`
    `static int` | `VERSION_1_5`
    `static int` | `VERSION_1_6`
    `static int` | `VERSION_1_7`
    `static int` | `VERSION_NOTFOUND`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JavaVersion()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `getVersion()` Returns the Version of Java.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### VERSION_NOTFOUND

          public static final int VERSION_NOTFOUND

      See Also:
        Constant Field Values

    - #### VERSION_1_0

          public static final int VERSION_1_0

      See Also:
        Constant Field Values

    - #### VERSION_1_1

          public static final int VERSION_1_1

      See Also:
        Constant Field Values

    - #### VERSION_1_2

          public static final int VERSION_1_2

      See Also:
        Constant Field Values

    - #### VERSION_1_3

          public static final int VERSION_1_3

      See Also:
        Constant Field Values

    - #### VERSION_1_4

          public static final int VERSION_1_4

      See Also:
        Constant Field Values

    - #### VERSION_1_5

          public static final int VERSION_1_5

      See Also:
        Constant Field Values

    - #### VERSION_1_6

          public static final int VERSION_1_6

      See Also:
        Constant Field Values

    - #### VERSION_1_7

          public static final int VERSION_1_7

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JavaVersion

          public JavaVersion()

  - ### Method Detail

    - #### getVersion

          public static int getVersion()

      Returns the Version of Java.
      Returns:
        VERSION_ - Value acording to the Java-Version

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)